dbXML API

## org.dbxml.core.corba.db
Class EncodedBufferHolder

    java.lang.Object
      |
      +--org.dbxml.core.corba.db.EncodedBufferHolder

All Implemented Interfaces:
  org.omg.CORBA.portable.Streamable

public final class EncodedBufferHolder
extends java.lang.Object
implements org.omg.CORBA.portable.Streamable

Generated from IDL definition of struct "EncodedBuffer"

Author:
  JacORB IDL compiler

Field Summary
`EncodedBuffer` `value`

Constructor Summary
`EncodedBufferHolder()`
`EncodedBufferHolder(EncodedBuffer initial)`

Method Summary
`void` `_read(org.omg.CORBA.portable.InputStream _in)`
`org.omg.CORBA.TypeCode` `_type()`
`void` `_write(org.omg.CORBA.portable.OutputStream _out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public EncodedBuffer value

Constructor Detail

### EncodedBufferHolder

    public EncodedBufferHolder()

### EncodedBufferHolder

    public EncodedBufferHolder(EncodedBuffer initial)

Method Detail

### _type

    public org.omg.CORBA.TypeCode _type()

  Specified by:
    `_type` in interface `org.omg.CORBA.portable.Streamable`

### _read

    public void _read(org.omg.CORBA.portable.InputStream _in)

  Specified by:
    `_read` in interface `org.omg.CORBA.portable.Streamable`

### _write

    public void _write(org.omg.CORBA.portable.OutputStream _out)

  Specified by:
    `_write` in interface `org.omg.CORBA.portable.Streamable`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved